List Events
GET https://ed.link/api/v2/graph/events
Retrieve a list of all available Events.
Events go back in time up to 30 days, in accordance with our data retention policy. Events should always be processed in the order in which they are returned. When paging through events, it is always recommended to page forward using $first and $after.
Important — stale
$after/$beforecursors: Events older than 30 days are deleted. If you pass an event id that no longer exists (for example after a quiet period longer than 30 days), the API returnsINVALID_CURSOR(HTTP 400). Do not treat an empty$datapage as "nothing changed" when your cursor may be stale — perform a full sync and resume from a live event id.
While backward paging is supported, there is really no good reason to do so, and it may result in corrupted data (due to events being applied in reverse order).
Request Parameters
This query allows for filtering results.
This query allows for standard paging parameters.
It is best practice to use either $first or $last in conjunction with the $next value returned by the API to paginate through results.
Sample Request
// List the 5 most recent events.
axios.get('https://ed.link/api/v2/graph/events?$last=5', {
headers: {
authorization: `Bearer ${integration_access_token}`
}
});
Sample Response
{
"$data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"date": "2021-07-26T06:15:47.179Z",
"type": "deleted",
"target": "person",
"target_id": "00000000-0000-0000-0000-000000000000",
"integration_id": "00000000-0000-0000-0000-000000000000",
"materialization_id": "00000000-0000-0000-0000-000000000000",
"data": {
...
}
}
],
"$request": "00000000-0000-0000-0000-000000000000"
}
